Bug 17226 - Improve AUTOLOAD of Koha::Object
Summary: Improve AUTOLOAD of Koha::Object
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 17091
Blocks: 14899 17251
  Show dependency treegraph
 
Reported: 2016-08-30 15:13 UTC by Jonathan Druart
Modified: 2018-06-04 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17226: Improve Koha::Object's AUTOLOAD method (8.29 KB, patch)
2016-08-30 15:16 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17226: Make Koha::Object->get_column available (1.47 KB, patch)
2016-08-30 15:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17226: Improve Koha::Object's AUTOLOAD method (8.35 KB, patch)
2016-09-05 21:19 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17226: Make Koha::Object->get_column available (1.53 KB, patch)
2016-09-05 21:24 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 17226: Improve Koha::Object's AUTOLOAD method (8.35 KB, patch)
2016-10-11 09:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17226: Make Koha::Object->get_column available (1.53 KB, patch)
2016-10-11 09:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 17226 - Fix unit tests (1.29 KB, patch)
2016-10-11 09:00 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-30 15:13:00 UTC
Following the path of bug 17091, Koha::Object needs to AUTOLOAD the methods provided by DBIX::Class.
We already use in_storage, id and is_changed, but others are coming!
Comment 1 Jonathan Druart 2016-08-30 15:16:37 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-08-30 15:24:24 UTC Comment hidden (obsolete)
Comment 3 Claire Gravely 2016-09-05 21:19:02 UTC
Created attachment 55203 [details] [review]
Bug 17226: Improve Koha::Object's AUTOLOAD method

Following the path of bug 17091, Koha::Object needs to AUTOLOAD the
methods provided by DBIX::Class.
We already use in_storage, id and is_changed, but others are coming!

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 4 Claire Gravely 2016-09-05 21:24:00 UTC
Created attachment 55204 [details] [review]
Bug 17226: Make Koha::Object->get_column available

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 5 Kyle M Hall 2016-10-11 09:00:25 UTC
Created attachment 56138 [details] [review]
Bug 17226: Improve Koha::Object's AUTOLOAD method

Following the path of bug 17091, Koha::Object needs to AUTOLOAD the
methods provided by DBIX::Class.
We already use in_storage, id and is_changed, but others are coming!

Test plan:
  prove t/db_dependent/Koha/Object.t
should return green

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 6 Kyle M Hall 2016-10-11 09:00:48 UTC
Created attachment 56139 [details] [review]
Bug 17226: Make Koha::Object->get_column available

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 7 Kyle M Hall 2016-10-11 09:00:57 UTC
Created attachment 56140 [details] [review]
Bug 17226 - Fix unit tests
Comment 8 Brendan Gallagher 2016-10-12 12:01:51 UTC
Pushed to Master - Should be in the November 2016 release. Thanks!